<%= form_with(model: quotation) do |form| %>
  <% if quotation.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(quotation.errors.count, "error") %> prohibited this quotation from being saved:</h2>

      <ul>
        <% quotation.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :author, style: "display: block" %>
    <%= form.text_field :author %>
  </div>

  <div>
    <%= form.label :quote, style: "display: block" %>
    <%= form.text_field :quote %>
  </div>

  <div>
    <%= form.label :date, style: "display: block" %>
    <%= form.date_field :date %>
  </div>

  <div>
    <%= form.label :category_id, style: "display: block" %>
    <%= form.collection_select :category_id, Category.all, :id, :name, prompt: 'Select a category' %>
  </div>

  <div>
    <%= form.label :new_category, "New Category" , style: "display: block" %>
    <%= form.text_field :new_category, placeholder: "Enter a new category" %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
